
QGIS Application - Bug report #18202

"Raster" and "Vector" menus split in two menus when the locale is changed

2018-02-24 08:32 AM - Asier Sarasua

Status: Closed

Priority: Normal

Assignee: QGIS Translation Team

Category: Translations and international

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 26093

Description

It happens when the previous locale and the following locale have different translations for "Raster" and "Vectorial".

For example, if the previous locale is Spanish and it is changed to American English, we will get four menus: "Vector", "Raster", "Ráster"

and "Vectorial".

There is a workaround: click "Reset to defaults" in Settings -> Options -> Processing and restart QGIS.

Related issues:

Related to QGIS Application - Bug report # 20654: Change of language only wor... Open 2018-11-28

History

#1 - 2018-03-14 05:57 PM - Guillaume Larocque

- File Screenshot from 2018-03-14 12-54-36.png added

Same for French, except that only the Vector menu is there twice.

#2 - 2018-06-24 11:27 AM - Asier Sarasua

Still in QGIS 3.2.

#3 - 2018-06-24 01:59 PM - Jan Lippmann

i can't confirm with qgis 3.2.

Win 7 64bit

#4 - 2018-06-25 01:09 PM - Harrissou Santanna

- Status changed from Open to Feedback

@Jan, what is the language of your system? And if English, do "vector" and "raster" translate differently?

I can confirm with master (QGIS 3.3) and I can not confirm using the same release, ie:

    -  If I turn off my locale override setting (fallback to French) while running my "default" user profile and close/relaunch QGIS, I have a French

environment with Vecteur + Vector menus

    -  If I use another user profile I had set up a while back in French (I can't tell how I did it but it always opens in French), I get a single well placed Vecteur
menu.

@Asier Could you check how it behaves if you create a new profile in your locale? What would be nice is to also know what is really covered by this user

profile setting (see https://github.com/qgis/QGIS-Documentation/pull/2739)...

#5 - 2018-06-25 11:19 PM - Asier Sarasua

If I create a new profile, the problem dissapears: I can switch among languages without further issues.

However, if I click the "Reset to defaults" button in "Settings -> Options -> Processing -> Menus", the issue starts again.

I identified "/profilename/QGIS/QGIS3.ini" as the file to be blamed. After clicking "Reset to defaults", the [Processing] section in that file is filled with a

bunch of new lines similar to:

Configuration\BUTTON_3d%3Atessellate=false

Configuration\ICON_gdal%3Abuildvirtualraster=

Configuration\MENU_gdal%3Aaspect=&Raster/Analisia

Configuration\MENU_grass7%3Av.what.rast=

Configuration\MENU_native%3Abuffer=Bekt&oriala/&Geoprozesatze-tresnak

...

Note the Basque strings in some of the lines.

Deleting those strings manually from the QGIS3.ini file fixes the issue.

#6 - 2018-06-30 11:18 AM - Jan Lippmann

@Harrissou Santanna

i switch between german and english and i use default profile

Harrissou Santanna wrote:

@Jan, what is the language of your system? And if English, do "vector" and "raster" translate differently?

I can confirm with master (QGIS 3.3) and I can not confirm using the same release, ie:    -  If I turn off my locale override setting (fallback to French)

while running my "default" user profile and close/relaunch QGIS, I have a French environment with Vecteur + Vector menus

    -  If I use another user profile I had set up a while back in French (I can't tell how I did it but it always opens in French), I get a single well placed

Vecteur menu.

@Asier Could you check how it behaves if you create a new profile in your locale? What would be nice is to also know what is really covered by this

user profile setting (see https://github.com/qgis/QGIS-Documentation/pull/2739)...

#7 - 2018-12-17 07:23 PM - Harrissou Santanna

- Related to Bug report #20654: Change of language only works partially added

#8 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
https://github.com/qgis/QGIS-Documentation/pull/2739
https://github.com/qgis/QGIS-Documentation/pull/2739


Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.

Files

Screenshot from 2018-03-14 12-54-36.png 32.2 KB 2018-03-14 Guillaume Larocque
